SbPimplPtr< T >(3)

NAME
SbPimplPtr< T >

SYNOPSIS

  Public Member Functions
SbPimplPtr (T *initial)
SbPimplPtr (const SbPimplPtr< T > &copy)
void set (T *value)
T & get (void) const
SbPimplPtr< T > & operator= (const SbPimplPtr< T > &copy)
SbBool operator== (const SbPimplPtr< T > &rhs) const
SbBool operator!= (const SbPimplPtr< T > &rhs) const
const T * operator-> (void) const
T * operator-> (void)

  Protected Member Functions
T * getNew (void) const

  Protected Attributes
T * ptr

Author

Generated automatically by Doxygen for Coin from the source code.